version: "3.9"

services:
  quarto-site:
    build: .
    networks:
      - dokploy-network
    expose:
      - 8085   # فقط expose داخلی، بدون map کردن روی host
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.quarto.rule=Host(`wiki.accessport.ir`)"
      - "traefik.http.routers.quarto.entrypoints=websecure"
      - "traefik.http.routers.quarto.tls.certresolver=letsencrypt"
      - "traefik.http.services.quarto.loadbalancer.server.port=8085"
networks:
  dokploy-network:
    external: true
